Name:           ocaml-utop
Version:        2.1.0
Release:        1%{?dist}
Summary:        Improved toplevel for OCaml

%global libname %(echo %{name} | sed -e 's/^ocaml-//')

License:        BSD
URL:            https://github.com/diml/utop
Source0:        https://github.com/diml/%{libname}/releases/download/%{version}/%{libname}-%{version}.tbz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lambda-term
BuildRequires:  ocaml-cppo
BuildRequires:  jbuilder

# for utop.el
BuildRequires:  emacs-common

%description
utop is an improved toplevel (i.e., Read-Eval-Print Loop) for
OCaml. It can run in a terminal or in Emacs. It supports line
editing, history, real-time and context sensitive completion,
colors, and more.

%global debug_package %{nil}

%prep
%autosetup -n %{libname}-%{version} 

%build
jbuilder build -p %{libname} %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/%{libname}/ \
         %{buildroot}%{_bindir} \
         %{buildroot}%{_mandir} \
         %{buildroot}%{_datadir} \
         %{buildroot}%{_emacs_sitelispdir}
cp -aLr _build/install/default/bin/%{libname}* %{buildroot}%{_bindir}/
cp -aLr _build/install/default/lib/%{libname}/* %{buildroot}%{_libdir}/ocaml/%{libname}/
cp -aLr _build/install/default/man/* %{buildroot}%{_mandir}/
cp -aLr _build/install/default/share/%{libname} %{buildroot}%{_datadir}/
cp -aLr _build/install/default/share_root/emacs/site-lisp/%{libname}.el %{buildroot}%{_emacs_sitelispdir}/

%files
%license LICENSE
%doc README.md CHANGES.md
%{_bindir}/%{libname}*
%{_libdir}/ocaml/%{libname}
%{_mandir}/man1/%{libname}*
%{_mandir}/man5/%{libname}*
%{_emacs_sitelispdir}/%{libname}.el
%{_datadir}/%{libname}

%changelog
* Mon Mar 05 2018 Sergey Avseyev <sergey.avseyev@gmail.com> 1.12.0-1
- Initial packaging.
